@use '../mixins' as mix;

.router-animations {
  height: 100%;

  &.ng-animating {
    overflow: hidden;
  }
}

.menu {
  position: fixed;
  inset: 3rem 0 auto auto;

  z-index: 99;
  display: flex;
  justify-content: center;
  align-items: end;
  flex-direction: column;

  @include mix.mq('phablet') {
    width: 100%;
    background: rgba(172, 194, 216, 1);
    justify-content: space-around;
    inset: 0 0 auto auto;
    flex-direction: row;
  }

  a {
    padding: .5rem;
    transition: padding-right .2s ease-out;

    &:hover {
      padding-right: 2rem;
      @include mix.mq('phablet') {
        padding-right: .5rem;
      }
    }
  }
}

.background {
  position: fixed;
  inset: 0 0 0 0;
  z-index: -1;
  opacity: .2;
  filter: blur(10px);
  background-image: url("/assets/img/bg.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  object-fit: scale-down;
}
